Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 234028 - net-print/gnome-cups-manager-0.33 mixes CFLAGS and CXXFLAGS
Summary: net-print/gnome-cups-manager-0.33 mixes CFLAGS and CXXFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: mixing-flags
  Show dependency tree
 
Reported: 2008-08-05 22:07 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-08-29 21:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (net-print:gnome-cups-manager-0.33:20080805-220242.log,60.01 KB, text/plain)
2008-08-05 22:31 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-08-05 22:07:48 UTC
Check the attached build log (look for -Wno-pointer-sign).

Thanks,
Diego
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-08-05 22:31:30 UTC
Created attachment 162320 [details]
Build log
Comment 2 Rémi Cardona gentoo-dev 2008-08-05 23:34:59 UTC
Diego, I like all the QA work you're doing, I really do, it's great and it's pushing FOSS further... but your bug reports are _horrible_. I just have _no_ fricking clue what's wrong. No idea what to look for, no example, no nothing.

So please, help us help you, don't open obscure bug reports that only mean something to you.

Thanks :)
Comment 3 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2008-08-05 23:50:10 UTC
(In reply to comment #2)

CFLAGS shouldn't be used for compilation of C++ files.
You should fix Makefiles (or other files) to use CXXFLAGS for compilation of C++ files.
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-08-05 23:50:56 UTC
Easy explanation (tomorrow there should be a post in my blog about this): there is some Makefile in the package that is building C++ code setting, inside _CXXFLAGS, the value of user's CFLAGS.

It should be fixed so that CXXFLAGS is used instead, as the two variables are well separated.
Comment 5 Gilles Dartiguelongue gentoo-dev 2010-08-29 21:22:15 UTC
+*gnome-cups-manager-0.33-r2 (29 Aug 2010)
+
+  29 Aug 2010; Gilles Dartiguelongue <eva@gentoo.org>
+  +gnome-cups-manager-0.33-r2.ebuild,
+  +files/gnome-cups-manager-0.33-automagic-samba.patch,
+  +files/gnome-cups-manager-0.33-cxxflags-separation.patch:
+  Do not add CFLAGS to CXXFLAGS, bug #234028. Fix automagic samba support,
+  bug #288392.
+
Problem was that package was defining CFLAGS in INCLUDES, so it's now patched
to separate flags in CFLAGS/CXXFLAGS/CPPFLAGS.